[Unit]
Description=Dradis web application

[Install]
WantedBy=multi-user.target

[Service]
WorkingDirectory=/usr/lib/dradis
ExecStartPre=/bin/sh -c 'test -e /var/lib/dradis/secretkey || (umask 077; echo "SECRET_KEY_BASE=$(pwgen -1 -s -n 100)" >/var/lib/dradis/secretkey)'
ExecStart=/usr/bin/bundle exec rails server
Type=simple
User=dradis
Group=dradis
Environment=RAILS_ENV=development
EnvironmentFile=-/var/lib/dradis/secretkey
